Fetch Account Balance
curl --request GET \
--url https://api.atoa.me/api/bank/accounts/{accountId}/balance \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.atoa.me/api/bank/accounts/{accountId}/balance"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.atoa.me/api/bank/accounts/{accountId}/balance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"balance": 100.45,
"currency": "GBP"
}
{
"name": "UNAUTHORIZED",
"message": "Unauthorized",
"status": 401,
"errors": "[]"
}
{
"name": "NOT FOUND",
"message": "Consent not found",
"status": 404,
"errors": "[]"
}
Bank Feed
Fetch Account Balance
Retrieve account balance via the Atoa Bank Feed API, request parameters, response schema and code samples in cURL, Python, JavaScript, PHP, Go and Java.
GET
/
api
/
bank
/
accounts
/
{accountId}
/
balance
Fetch Account Balance
Use this to fetch the current balance and currency information of a linked bank account.
Response
Authorization
Bearer<token>
Request Body Schema
string
required
ID of the user’s bank account. This can be obtained from the redirect URL
after account linking or by using the Fetch All Accounts API
Reference
endpoint.Refer:- Accounts
number
The current balance amount in the bank account.
string
The currency code of the account balance (e.g., GBP, EUR, USD).
{
"balance": 100.45,
"currency": "GBP"
}
{
"name": "UNAUTHORIZED",
"message": "Unauthorized",
"status": 401,
"errors": "[]"
}
{
"name": "NOT FOUND",
"message": "Consent not found",
"status": 404,
"errors": "[]"
}
⌘I